/**
 * @class
 * Utility class that encapsulates deserialize, serialize
 * and the need for @Serializable explicit decoration.
 */
export default class SerializableEntity {
    serialize(): Record<string, unknown>;
    static deserialize<T, U extends Array<unknown>>(this: {
        new (...params: [...U]): T;
    }, json: Record<string, unknown>, ...args: U): T;
}
